Admiral
States

Retrieve a state version

GET
/api/v1/states/{state_id}/versions/{serial}

Returns NOT_FOUND if the state record does not exist or if no version with the specified serial exists for that state record.

Scope: state:read

Authorization

bearerAuth
AuthorizationBearer <token>

Personal Access Token (PAT) or Service Access Token (SAT). Pass the token in the Authorization header: Bearer adm_pat_...

In: header

Path Parameters

state_id*state_id

The state record (UUID).

Formatuuid
serial*|

The serial number of the version to retrieve.

Formatint64

Response Body

application/json

curl -X GET "https://admiral.example.com/api/v1/states/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions/0"
{  "version": {    "serial": 0,    "md5": "string",    "lineage": "string",    "size_bytes": 0,    "job_id": "453bd7d7-5355-4d6d-a38e-d9e7eb218c3f",    "created_at": "2023-01-15T01:30:15.01Z"  },  "data": "string"}